Run of fresh-releases for kwayland-integration

Try this locally (using silver-platter):

debian-svp new-upstream kwayland-integration 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
[2021-04-24 02:30:37] Running ['new-upstream']
[2021-04-24 02:30:37] Opening branch at https://salsa.debian.org/qt-kde-team/kde/kwayland-integration.git/,branch=master
[2021-04-24 02:30:39] Using cached branch https://janitor.debian.net/git/kwayland-integration/,branch=debian%2Flatest
[2021-04-24 02:30:41] Total 896 (delta 0), reused 0 (delta 0), pack-reused 896
[2021-04-24 02:30:44] Total 194 (delta 75), reused 129 (delta 39), pack-reused 0
[2021-04-24 02:30:44] All changes applied successfully.
[2021-04-24 02:30:44] Workspace ready - starting.
[2021-04-24 02:30:44] Using upstream branch https://invent.kde.org/plasma/kwayland-integration.git (from configuration)
[2021-04-24 02:30:45] 90)
[2021-04-24 02:30:45] Total 689 (delta 268), reused 244 (delta 220), pack-reused 379
[2021-04-24 02:30:47] Using version string 5.21.4.
[2021-04-24 02:30:47] No upstream upstream-revision format specified, trying tag:5.20.5
[2021-04-24 02:30:47] No upstream upstream-revision format specified, trying tag:kwayland-integration-5.20.5
[2021-04-24 02:30:47] No upstream upstream-revision format specified, trying tag:v5.20.5
[2021-04-24 02:30:47] Not including upstream history, since previous upstream version (5.20.5) is not present in packaging branch history.
gbp:info: Found tag for topmost changelog version '09f5f96a1003004f9f291286ad74aeffd318fc2d'
[2021-04-24 02:30:47] Found tag for topmost changelog version '09f5f96a1003004f9f291286ad74aeffd318fc2d'
gbp:info: Continuing from commit '09f5f96a1003004f9f291286ad74aeffd318fc2d'
[2021-04-24 02:30:47] Continuing from commit '09f5f96a1003004f9f291286ad74aeffd318fc2d'
gbp:info: No changes detected from 09f5f96a1003004f9f291286ad74aeffd318fc2d to HEAD.
[2021-04-24 02:30:47] No changes detected from 09f5f96a1003004f9f291286ad74aeffd318fc2d to HEAD.
[2021-04-24 02:30:47] The changelog has been updated for the new version.
[2021-04-24 02:30:47] Committing to: /tmp/janitor5p9e1fby/kwayland-integration/
[2021-04-24 02:30:47] modified debian/changelog
[2021-04-24 02:30:47] Committed revision 169.
[2021-04-24 02:30:47] Merged new upstream version 5.21.4 (previous: 5.20.5)
[2021-04-24 02:30:48] Opened schroot session unstable-amd64-sbuild-13282eb6-4239-45a2-a165-e07e9cdfc44b (from unstable-amd64-sbuild)
[2021-04-24 02:30:48] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7effb18dfaf0>, [functools.partial(<function python_tie_breaker at 0x7effb323c1f0>, <GitWorkingTree of /tmp/janitor5p9e1fby/kwayland-integration>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-13282eb6-4239-45a2-a165-e07e9cdfc44b'), <function popcon_tie_breaker at 0x7effb0ef6430>]))]
[2021-04-24 02:30:48] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-24 02:39:01] Built ['kwayland-integration_5.21.4-1~jan+nur1_amd64.changes'].
janitor.debian.lintian:info: Running lintian
[2021-04-24 02:39:01] Running lintian
[2021-04-24 02:39:03] Pushing result branch to LocalVcsManager('/home/janitor/vcs')
[2021-04-24 02:39:03] Pushing packaging branch cache to https://janitor.debian.net/git/kwayland-integration,branch=debian%2Flatest
[2021-04-24 02:39:11] warning: ignoring broken ref refs/heads/unchanged/main
warning: ignoring broken ref refs/tags/37609aed-d819-469f-b561-76333797b9
[2021-04-24 02:39:11] 5b/main
[2021-04-24 02:39:11] git: cannot lock ref 'refs/heads/debian/latest': is at 09f5f96a1003004f9f291286ad74aeffd318fc2d but expected f9b7110fe85dc39d5a6cbe57f2cb991687f6eb0e
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.19.5-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.19.4-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.17.5-2': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.17.5-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.14.5-2': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.21.4-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.17.5-3': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.21.2-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.20.4-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.21.0-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.20.4-2': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.20.5-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.21.1-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.21.3-1': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.19.5-3': reference already exists
[2021-04-24 02:39:11] git: cannot lock ref 'refs/tags/debian/5.19.5-2': reference already exists
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 267, in run_worker
    push_branch(
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 182, in push_branch
    target.push_branch(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 685, in push_branch
    raise RemoteGitError(error)
breezy.git.remote.RemoteGitError: failed to update ref

Summary

Merged new upstream version: 5.21.4 (was: 5.20.5).

Full worker log Full build log